#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int a,b,c,d;
    scanf("%lld %lld",&a,&b);
    scanf("%lld %lld",&c,&d);
    if(a==c || b==d)
        printf("2");
    else if(abs(c-a)==abs(b-d))
        printf("1");
    else
        printf("0");
}